RUNDEF Section03

/*
CHECKING THE EXISTENCY OF SPOUSES BUT NO HEADS 

Program description:
The example uses the two defines of the previous examples to count
heads and spouses.
A crosstabs of the variables might display the results.
*/

DEFINE HOUSIN.NHEADS AS COUNT PERSON
  FOR PERSON.RELAT = 1

DEFINE HOUSIN.NSPOUSES AS COUNT PERSON
  FOR PERSON.RELAT = 2
  RANGE 0-10

TABLE VERIF2 AS FREQUENCY OF HOUSIN.NHEADS BY HOUSIN.NSPOUSES

/*
Programming notes:
1. An arbitrary range of 0-10 has been defined for the variable. 
   The range will be necessary for the "column" variable in the table VERIF2.
   It is possible to generate a FREQUENCY of a variable without any range.
   However, in a Crosstabs (two-way tabulation), only the first variable
   may be without range.
2. The clauses FREQUENCY and CROSSTABS can be used interchangeably,
   which means that what really defines if the result is a frequency
   or a crosstabulation is the number of BY (at most 4)  

Results:
    NHEADS  NSPOUSES	
            0      1      Total
    0       2544   -       2544
    1       4465   6910   11375
    Total   7009   6910   13919

Comments:
1. There are no households with no heads and one spouse. 
*/
