RUNDEF Section04

/*
FIND THE COUNTY HAVING THE HIGHEST PROPORTION OF CHILDREN AGE 0-5
*/
  
DEFINE COUNTY.TOTPOP AS COUNT PERSON

DEFINE COUNTY.TOTKIDS AS COUNT PERSON
  FOR PERSON.AGE < 6

DEFINE COUNTY.PROPKIDS
  AS 100 * (COUNTY.TOTKIDS / COUNTY.TOTPOP)
  FOR COUNTY.TOTPOP > 0
  TYPE REAL

TABLE VERIF AS AREALIST OF COUNTY, 
  COUNTY.NCOUNTY, COUNTY.TOTPOP, COUNTY.TOTKIDS, COUNTY.PROPKIDS
  
/*
Programming notes:
1. The required variables are not readily available in the database,
   they must be calculated within the command set. The total population
   is calculated with a COUNT (see the definition of variable COUNTY.TOTPOP)
   and the number of children is calculated in a similar way applying a filter
   on the individuals to be counted (see the FOR clause in the definition of
   variable COUNTY.TOTKIDS).
2. The proportion (or percentage) is calculated as the ratio of the number
   of children aged 0-5 divided by the total population, normalized to 100 
   (see the definition of the variable COUNTY.PROPKIDS). 
3. The number of decimals is established in Preferences, or defined directly
   as a clause in the TABLE command, such as
   TABLE .........
      DECIMALS 3
4. The list is produced with the command TABLE/AREALIST. Please note the AS
   and OF clauses MUST be included in the command. Furthermore, the first
   parameter of the OF clause is the output level (a selectable Entity name)
   of the AREALIST (COUNTY in the example).
5. To enhance the table, the list shows also the name of each County
   (variable COUNTY.NCOUNTY)

Results:
	Code   County Name    TOTPOP TOTKIDS  PROPKIDS
	5      Santa Maria     21728    2525     11,62
	6      Santiago         8969    1606     17,91
	7      Bolivar         14281    2050     14,36
	8      Marbella         3818     624     16,34
	9      Puerto Nuevo     3393     552     16,27

Comments:
1. Searching the list visually, the highest would be the County code 6 (Santiago).
2. If the list is big, you can see it sorted double clicking in the results entry
   in the output tree, then click in PROPKIDs column, and then click the Z-A
   button in the toolbar.
*/  
