RUNDEF Section06

/*
DERIVING A VARIABLE USING AN ARITHMETIC EXPRESSION 

Program description:
The program calculates the difference of age between the
child of the household head and his/her declared father/mother.
It also performs a consistency check: the difference between a child
and a parent should be at least 15 years.
*/

DEFINE PERSON.DIFAGENE AS HOUSIN.AGEHEAD - PERSON.AGE
  FOR PERSON.RELAT = 4
  VARLABEL "Number of years between child and parent"
  
TABLE VERIF AS FREQUENCY OF PERSON.DIFAGENE
  FOR PERSON.DIFAGENE < 15 
  
/*
Programming notes:
1. The program requires the age of household head (HOUSIN.AGEHEAD). 
   This variable must have been calculated previously and
   stored permanently in the database (see Section05).
2. The tabulation has been restricted to the differences lesser
   than 15 years, using the FOR clause.
   The clause may be suppressed to find the maximum difference of age
   between the head of the household and his/her youngest child.

Results:
    Categories  Counts
      3              1
     11              1
     12              2
     13             10
     14             16
    -69              1
    Total           31

Comments:
1. The table suggests that 30 persons have a difference lesser
   than 15 to the head of the household, and one person has a
   negative difference (-69), meaning that the child is older
   than his/her father/mother.
2. Of course this is just an example, since in a real situation,
   the relationship "son/daugther" could define also adopted 
   children, or the head might me the stepfather.
3. Negative values could have been omitted using the range clause
   (RANGE 0-100), for example.
*/  
