RUNDEF Section10

/*
CREATION OF A PERMANENT VARIABLE

Program description:
Same as Section09, but for sex of household head.
*/

DEFINE HOUSIN.SEXHEAD AS PERSON.SEX
  FOR PERSON.RELAT = 1
  VARLABEL "Sex of Head of Household"
  MISSING 3
  LIKE PERSON.SEX
  SAVE "HOUSIN_SEXHEAD.rbf" OVERWRITE
  
TABLE VERIF AS FREQUENCY OF HOUSIN.SEXHEAD

/*
Programming notes:
1. The LIKE clause copies all the attributes of the "liked" variable
   to the new one, with the exception of the ones explicitly defined
   (VARLABEL in this case).
      
Results:
Categories   Counts       %
 Male          8975    78,9
 Female        2400    21,1
 Total        11375   100,0
	
NotApp :       2544

Comments:
1. There are 2544 notapplicable values, corresponding to the same
   households that have no head.
2. In New Miranda, roughly 80% of the households are headed by a male.
3. Do not forget to save the dictionary after executing the program.
*/