RUNDEF Section13

/*
CREATION OF PERMANENT VARIABLE 
Partner of household head


Program description:
This program creates a variable at household level to state if household 
head has no spouse or consens union partner (category 0), a spouse
(category 1) or a consens union partner (category 2)
*/

DEFINE HOUSIN.HASSPOUSE
  AS COUNT PERSON
  FOR PERSON.RELAT = 2
  RANGE 0-1
  
DEFINE HOUSIN.HASCMLAW
  AS COUNT PERSON
  FOR PERSON.RELAT = 3
  RANGE 0-1
  
DEFINE HOUSIN.PARTNER AS SWITCH
    INCASE (HOUSIN.HASSPOUSE <> 0) ASSIGN 1
    INCASE (HOUSIN.HASCMLAW <> 0)  ASSIGN 2
    ELSE 0
    VARLABEL "Head Partner"
    VALUELABELS
    0 "No Partner"
    1 "Spouse"
    2 "Common Law"
    RANGE 0-2
    SAVE "HOUSIN_HEADPARTNER.rbf" OVERWRITE

TABLE VERIF AS FREQUENCY OF HOUSIN.PARTNER

/*
Programming notes:
1. The define uses an ELSE instruction for the follow thru cases 
   (the ones that were not filtered by any previous INCASEs)

Results:
    Categories    Counts	  %
     No Partner    6372    45,8
     Spouse        6910    49,6
     Common Law     637     4,6
     Total        13919   100,0

Comments:
1. The results can be compared with a frequency of the variable HOUSIN.HASPARTNER.
2. Do not forget to save the dictionary after executing the program.
*/
