RUNDEF Section15

/*
CREATION OF AN INDICATOR
Household transportation  by County

Program description:
This program creates a variable for each type of transportation at County level,
by counting the number of households declaring the transport.
*/

DEFINE COUNTY.BICYCL AS COUNT HOUSIN
  FOR HOUSIN.BICYCL = 1
  VARLABEL "Houses having bicycles"

DEFINE COUNTY.CAR AS COUNT HOUSIN
  FOR HOUSIN.CAR = 1
  VARLABEL "Houses having cars"

DEFINE COUNTY.MCYCLE AS COUNT HOUSIN
  FOR HOUSIN.MCYCLE = 1
  VARLABEL "Houses having motorcycles"
  
DEFINE COUNTY.NHOUSES AS COUNT HOUSIN
  VARLABEL "Total houses"

TABLE VERIF AS AREALIST OF COUNTY, COUNTY.NCOUNTY,
  COUNTY.BICYCL, COUNTY.CAR, COUNTY.MCYCLE, COUNTY.NHOUSES
  TOTAL
  
/*
Programming notes:
1. The TOTAL clause produces a total line in the AREALIST

Results:
Code  County Name     Houses having bicycles  Houses having cars  Houses having motorcycles  Total houses
5     Santa Maria                       1926                 747                         85          5311
6     Santiago                           627                 126                         14          1975
7     Bolivar                           1087                 375                         24          3299
8     Marbella                           342                 142                         26          1959
9     Puerto Nuevo                       270                  74                          8          1375
      TOTAL                             4252                1464                        157         13919

Comments:
1. Which county has, proportionally, more households with cars? Just divide the
   second column by the fourth. Or see the next Section16.
*/
