RUNDEF Section17

/*
DERIVING AGE GROUPS

Program description:
This program demonstrates the creation of an age group variable using a RECODE function.
The example includes the age grouping in 4 categories.
*/

DEFINE PERSON.AGEGROUP4 AS RECODE PERSON.AGE
    (0 - 14=1) (15 - 24=2) (25 - 64=3) (65 - HIGHEST =4)
    RANGE 1-4
    VARLABEL "Age groups 3"
    VALUELABELS 1 "Children" 2 "Young Adults" 3 "Adults" 4 "Elders"
    SAVE "PERSON_AGEGROUP4.rbf" OVERWRITE

TABLE VERIF AS FREQUENCY OF PERSON.AGEGROUP4

/*
Programming notes:
1. A useful classification is the 3 way grouping. It classifies the population 
   into children (age 0-14), the adults (15-64) and elders (64+).
   This categorization is used to calculate the dependency ratio based on age.

Results:
Categories    Counts     %
 Children      17965  34,4
 Young Adults  11200  21.5
 Adults        19686  37,7
 Elders         3338   6,4
 Total         52189 100,0

Comments:
1. Do not forget to save the dictionary after executing the program.
*/
